This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 104003 - [PATCH] Wrong use of intltool for generating hwbrowser.desktop
[PATCH] Wrong use of intltool for generating hwbrowser.desktop
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: hwbrowser (Show other bugs)
1.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks: 103999
  Show dependency treegraph
 
Reported: 2003-09-08 19:35 EDT by Miloslav Trmac
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-15 16:38:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch fixing hwbrowser.desktop.in and adding it to po/POTFILES.in (3.10 KB, patch)
2003-09-09 20:44 EDT, Miloslav Trmac
no flags Details | Diff

  None (edit)
Description Miloslav Trmac 2003-09-08 19:35:58 EDT
Description of problem:
hwbrowser.desktop.in contains pre-filled Name, GenericName and Comment
entries, which intltool doesn't touch at all. The .desktop.in file
should contain _Name, _GenericName and _Comment entries and
it should be mentioned in POTFILES.in, so that the strings are marked
for translation and automatically added to the desktop file.

Version-Release number of selected component (if applicable):
hwbrowser-0.10-2

Additional info:
Using ';' to split dependencies and command in the %.desktop: %.desktop.in
rule in Makefile is ugly.
Comment 1 Miloslav Trmac 2003-09-09 20:44:02 EDT
Created attachment 94356 [details]
Patch fixing hwbrowser.desktop.in and adding it to po/POTFILES.in

The attached patch fixes the issues, so that hwbrowser.desktop really is
generated from the .po files. This alone adds several translations
to the .desktop file; also, the Comment field is available for translation.
Comment 2 Brent Fox 2003-09-15 16:38:07 EDT
Patch applied and committed to cvs.  Thanks for your help.  hwbrowser-0.11-1
will contain the updated desktop file.

Note You need to log in before you can comment on or make changes to this bug.